/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#include "experimenter/bit_multiplier.h"

using namespace TkResolver;
using namespace Experimenter;

BitMultiplier:: BitMultiplier()
  : ComboBoxSpin(10.0, static_cast<guint>(0U)),
    _adjustment(1.0, 1.0, 8192.0, 2.0)
{
  set_adjustment(_adjustment);
  _spin.set_snap_to_ticks();
  
  add_value(1.0);
  add_value(3.0);
  add_value(5.0);
  add_value(7.0);
  add_value(9.0);
  add_value(11.0);
  add_value(21.0);
  add_value(31.0);
  add_value(41.0);
  add_value(51.0);
  add_value(61.0);
  add_value(71.0);
  add_value(91.0);
  add_value(101.0);
  add_value(201.0);
  add_value(301.0);
  add_value(401.0);
  add_value(501.0);
  add_value(751.0);
  add_value(999.0);
}

unsigned
BitMultiplier:: get_bit_multiplier() const
{
  return static_cast<unsigned>( get_value() );
}
