/* -*- c++ -*-
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_EXP_TOTAL_TIME_H__
#define __TK_EXP_TOTAL_TIME_H__

#include <gtkmm.h>

#include "experimenter/combo_box_spin.h"

namespace TkResolver {
  namespace Experimenter {
    
    class TotalTime : public ComboBoxSpin
      {
      private:
	Gtk::Adjustment _adjustment;
	void add_value_with_desc(double value, const String &description);
      public:
	TotalTime();
	unsigned get_total_time() const;
      };
    
  } /* namespace Experimenter */
}; /* namespace TkResolver */

#endif /* __TK_EXP_TOTAL_TIME_H__ */
