/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_DEBUG_H__
#define __TK_DEBUG_H__

#include <wchar.h>

#include <iostream>

namespace TkResolver {

#define WDEBUG_OUT (std::wcerr       \
		    << __FILE__      \
		    << ":"           \
		    << __LINE__      \
		    << ":"           \
		    << __FUNCTION__  \
		    << ": ") 
#define WDEBUG_STRM std::wcerr

#define DEBUG_OUT (std::cerr        \
		   << __FILE__      \
		   << ":"           \
		   << __LINE__      \
		   << ":"           \
		   << __FUNCTION__  \
		   << ": ") 
#define DEBUG_STRM std::cerr

		   
};


#endif /* __TK_DEBUG_H__ */
