/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2007 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#include <sstream>

#include "experimenter/trace_count.h"

using namespace TkResolver;
using namespace Experimenter;

TraceCount:: TraceCount()
{
  append_text("1");
  append_text("2");
  
  set_active_text("1");
}

unsigned
TraceCount:: get_trace_count() const
{
  unsigned i;
  std::istringstream strm(get_active_text());
  strm >> i;
  return i;
}
